<?php
namespace Mirasvit\SeoContent\Block\DescriptionWidget;

/**
 * Interceptor class for @see \Mirasvit\SeoContent\Block\DescriptionWidget
 */
class Interceptor extends \Mirasvit\SeoContent\Block\DescriptionWidget implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\SeoContent\Service\ContentService $contentService, \Magento\Cms\Model\Template\FilterProvider $filterProvider, \Magento\Framework\View\Element\Template\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($contentService, $filterProvider, $context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
